// register item to the mod registry

using UnityEngine;

namespace Peoples
{
    public class Peoples
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Player", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "the guys that die andnshit", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("playerthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("playerskin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Player w/o Jacket", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "the guys that die andnshit", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("playerthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("player2skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Level 1 Worker", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "circle guy, stupid loser", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("guard1thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("level1skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Level 2 Guard", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "tringle", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("guard2thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("level2skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Level 3 Supervisor", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "yo look at this cool japanese show called octopus game i found", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("guard3thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("level3skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Frontman", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "you litterally can't turn him into a ppg human, without having it look nothing like himself", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("frontmanthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("frontman.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG VIP 1", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "lion madick", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("vip1thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("vip1skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
						
						var head = Instance.transform.GetChild(5);
						var childObject = new GameObject("hat");
						childObject.transform.SetParent(head);
						childObject.transform.localPosition = new Vector3(0, 0f); //edit position
						childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
						childObject.transform.localScale = new Vector3(1f, 1f); //scale
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("vip1hat.png"); //put the name of your hat/helmet/mask sprite here
						childSprite.sortingLayerName = "Top"; //just makes sure you can see it
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG VIP 2", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "puree between his legs", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("vip2thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("vip2skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
						
						var head = Instance.transform.GetChild(5);
						var childObject = new GameObject("hat");
						childObject.transform.SetParent(head);
						childObject.transform.localPosition = new Vector3(0, 0f); //edit position
						childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
						childObject.transform.localScale = new Vector3(1f, 1f); //scale
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("vip2hat.png"); //put the name of your hat/helmet/mask sprite here
						childSprite.sortingLayerName = "Top"; //just makes sure you can see it
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG VIP 3", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "i have no jok at all 🦌", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("vip3thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("vip3skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
						
						var head = Instance.transform.GetChild(5);
						var childObject = new GameObject("hat");
						childObject.transform.SetParent(head);
						childObject.transform.localPosition = new Vector3(0, 0f); //edit position
						childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
						childObject.transform.localScale = new Vector3(1f, 1f); //scale
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("vip3hat.png"); //put the name of your hat/helmet/mask sprite here
						childSprite.sortingLayerName = "Top"; //just makes sure you can see it
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG VIP 4", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "holy shit Falco Lombardi", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("vip4thumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("vip4skin.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
						
						var head = Instance.transform.GetChild(5);
						var childObject = new GameObject("hat");
						childObject.transform.SetParent(head);
						childObject.transform.localPosition = new Vector3(0, 0f); //edit position
						childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
						childObject.transform.localScale = new Vector3(1f, 1f); //scale
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("vip4hat.png"); //put the name of your hat/helmet/mask sprite here
						childSprite.sortingLayerName = "Top"; //just makes sure you can see it
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
                    NameOverride = "-SG Doll", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "cocola coochie pia sungida *turns around and murders more than 200 people*", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("dollthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("doll.png");
                        var flesh = ModAPI.LoadTexture("doll_flesh.png");
                        var bone = ModAPI.LoadTexture("doll_bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(255, 255, 255); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(100, 100, 100); //second bruise colour. red by default
                        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                        person.SetRottenColour(255, 255, 255); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(0, 0, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Waiter", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "dicksucker69", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("waiterthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("waiter.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "-SG Salesman", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "ultimate bitch slapper", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("salesmanthumb.png"), //new item thumbnail (relative path)
                    NameToOrderByOverride = "SQUIDGAME",
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("salesman.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
						
						var head = Instance.transform.GetChild(5);
						var childObject = new GameObject("hat");
						childObject.transform.SetParent(head);
						childObject.transform.localPosition = new Vector3(0, 0f); //edit position
						childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
						childObject.transform.localScale = new Vector3(1f, 1f); //scale
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("salesmanhair.png"); //put the name of your hat/helmet/mask sprite here
						childSprite.sortingLayerName = "Top"; //just makes sure you can see it
						
						var hand = Instance.GetComponent<PersonBehaviour>().Limbs[13].transform;
                        var childObject2 = new GameObject("hat");
                        childObject2.transform.SetParent(hand);
                        childObject2.transform.localPosition = new Vector3(0, -0.34f); //edit position
                        childObject2.transform.rotation = Quaternion.Euler(0f, 0f, 0f); //rotation
                        childObject2.transform.localScale = new Vector3(1f, 1f); //scale
                        var childSprite2 = childObject2.AddComponent<SpriteRenderer>();
                        childSprite2.sprite = ModAPI.LoadSprite("salesmanbriefcase.png"); //put the name of your hat/helmet/mask sprite here
                        childSprite2.sortingLayerName = "Bottom"; //just makes sure you cant see it
                    }
                }
            );
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Wooden Pole"), //item to derive from
					NameOverride = "-SG Coffin", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "coffin and chokin on deez nuts in yo mouth", //new item description
					CategoryOverride = ModAPI.FindCategory("Misc."), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("coffinthumb.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("coffin.png"); //get the SpriteRenderer and replace its sprite with a custom one
						Instance.FixColliders();
					}
				}
			);			
        }
    }
}